// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package errors

import (
	"google.golang.org/grpc/status"
)

var (
	// 通用错误
	SystemError       = status.Error(10001, "系统错误")
	ServiceError      = status.Error(10002, "内部服务错误")
	ParamsError       = status.Error(10003, "参数错误")
	DataBaseError     = status.Error(10004, "数据库错误")
	RedisError        = status.Error(10005, "Redis错误")
	VendorError       = status.Error(10006, "三方错误")
	ElasticError      = status.Error(10007, "ElasticSearch 错误")
	NoTokenError      = status.Error(10008, "没有token")
	TokenExpiredError = status.Error(10009, "token已过期")
	TokenFailedError  = status.Error(10010, "token错误")
	DistributeIdError = status.Error(10011, "分布式id错误")
	ErrRecordNotFound = status.Error(10012, "数据不存在")
	ErrRecordExist = status.Error(10012, "数据重复")

	ChargePayingError = status.Error(20001, "操作失败，有费用正在支付")

)
