package impl

import (
	"context"
	"property-garden/impl/v1/charge"
	"property-garden/impl/v1/charge_power_record"
	"property-garden/impl/v1/property_package"

	pb_v1 "property-garden/pb/v1"

	"git.getensh.com/common/gopkgs/tasker/rpctasker"

	"property-garden/impl/v1/charge_conf"


)

// 新增费用配置
func (c *Rcvr) ChargeConfAdd(ctx context.Context, req *pb_v1.ChargeConfAddRequest) (reply *pb_v1.ChargeConfAddReply, err error) {
	t1 := func() error {
		reply, err = charge_conf.ChargeConfAdd(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 费用配置列表
func (c *Rcvr) ChargeConfList(ctx context.Context, req *pb_v1.ChargeConfListRequest) (reply *pb_v1.ChargeConfListReply, err error) {
	t1 := func() error {
		reply, err = charge_conf.ChargeConfList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 修改费用配置
func (c *Rcvr) ChargeConfUpdate(ctx context.Context, req *pb_v1.ChargeConfUpdateRequest) (reply *pb_v1.ChargeConfUpdateReply, err error) {
	t1 := func() error {
		reply, err = charge_conf.ChargeConfUpdate(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 删除费用配置
func (c *Rcvr) ChargeConfDel(ctx context.Context, req *pb_v1.ChargeConfDelRequest) (reply *pb_v1.ChargeConfDelReply, err error) {
	t1 := func() error {
		reply, err = charge_conf.ChargeConfDel(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 费用绑定对象
func (c *Rcvr) ChargeBind(ctx context.Context, req *pb_v1.ChargeBindRequest) (reply *pb_v1.ChargeBindReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeBind(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 费用解绑对象
func (c *Rcvr) ChargeUnbind(ctx context.Context, req *pb_v1.ChargeUnbindRequest) (reply *pb_v1.ChargeUnbindReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeUnbind(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 绑定了项目的房屋列表
func (c *Rcvr) ChargeHouseBindedList(ctx context.Context, req *pb_v1.ChargeHouseBindedListRequest) (reply *pb_v1.ChargeHouseBindedListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeHouseBindedList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 可以绑定某项目的房屋列表
func (c *Rcvr) ChargeHouseNotBindList(ctx context.Context, req *pb_v1.ChargeHouseNotBindListRequest) (reply *pb_v1.ChargeHouseNotBindListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeHouseNotBindList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 绑定了某项目的车位列表
func (c *Rcvr) ChargeSpaceBindedList(ctx context.Context, req *pb_v1.ChargeSpaceBindedListRequest) (reply *pb_v1.ChargeSpaceBindedListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeSpaceBindedList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 可以绑定某项目的车位列表
func (c *Rcvr) ChargeSpaceNotBindList(ctx context.Context, req *pb_v1.ChargeSpaceNotBindListRequest) (reply *pb_v1.ChargeSpaceNotBindListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeSpaceNotBindList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 绑定了某项目的车辆列表
func (c *Rcvr) ChargeVehicleBindedList(ctx context.Context, req *pb_v1.ChargeVehicleBindedListRequest) (reply *pb_v1.ChargeVehicleBindedListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeVehicleBindedList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 可以绑定某项目的车辆列表
func (c *Rcvr) ChargeVehicleNotBindList(ctx context.Context, req *pb_v1.ChargeVehicleNotBindListRequest) (reply *pb_v1.ChargeVehicleNotBindListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeVehicleNotBindList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}


// 房屋收费 房屋列表
func (c *Rcvr) ChargeHouseGroup(ctx context.Context, req *pb_v1.ChargeHouseGroupRequest) (reply *pb_v1.ChargeHouseGroupReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeHouseGroup(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 车位收费 车位列表
func (c *Rcvr) ChargeSpaceGroup(ctx context.Context, req *pb_v1.ChargeSpaceGroupRequest) (reply *pb_v1.ChargeSpaceGroupReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeSpaceGroup(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 车辆收费 车辆列表
func (c *Rcvr) ChargeVehicleGroup(ctx context.Context, req *pb_v1.ChargeVehicleGroupRequest) (reply *pb_v1.ChargeVehicleGroupReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeVehicleGroup(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 手动生成账单 一次型费用和车辆收费不能手动生成
func (c *Rcvr) ChargeGenerateBill(ctx context.Context, req *pb_v1.ChargeGenerateBillRequest) (reply *pb_v1.ChargeGenerateBillReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeGenerateBill(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}


// 欠费线下缴费
func (c *Rcvr) ChargeBillPay(ctx context.Context, req *pb_v1.ChargeBillPayRequest) (reply *pb_v1.ChargeBillPayReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeBillPay(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 欠费线上缴费
func (c *Rcvr) ChargeBillPayByHousehold(ctx context.Context, req *pb_v1.ChargeBillPayByHouseholdRequest) (reply *pb_v1.ChargeBillPayByHouseholdReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeBillPayByHousehold(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}



// 欠费缴费欠费列表
func (c *Rcvr) ChargeUnpayList(ctx context.Context, req *pb_v1.ChargeUnpayListRequest) (reply *pb_v1.ChargeUnpayListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeUnpayList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 查看费用，费项列表
func (c *Rcvr) ChargeList(ctx context.Context, req *pb_v1.ChargeListRequest) (reply *pb_v1.ChargeListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 对象的某费项下的待缴账单列表

func (c *Rcvr) ChargeBillList(ctx context.Context, req *pb_v1.ChargeBillListRequest) (reply *pb_v1.ChargeBillListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeBillList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 应收账单中的对象列表
func (c *Rcvr) ChargeBillObjList(ctx context.Context, req *pb_v1.ChargeBillObjListRequest) (reply *pb_v1.ChargeBillObjListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeBillObjList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 应收账单中某对象的账单明细
func (c *Rcvr) ChargeObjBillList(ctx context.Context, req *pb_v1.ChargeObjBillListRequest) (reply *pb_v1.ChargeObjBillListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeObjBillList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 变更时间
func (c *Rcvr) ChargeTimeSet(ctx context.Context, req *pb_v1.ChargeTimeSetRequest) (reply *pb_v1.ChargeTimeSetReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeTimeSet(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 小票和收据信息
func (c *Rcvr) ChargeOrderTicket(ctx context.Context, req *pb_v1.ChargeOrderTicketRequest) (reply *pb_v1.ChargeOrderTicketReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeOrderTicket(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 预缴物业费或车位费前获取对应的金额信息
func (c *Rcvr) ChargePrePayInfo(ctx context.Context, req *pb_v1.ChargePrePayInfoRequest) (reply *pb_v1.ChargePrePayInfoReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargePrePayInfo(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 线下预缴物业费或车位费
func (c *Rcvr) ChargePrePay(ctx context.Context, req *pb_v1.ChargePrePayRequest) (reply *pb_v1.ChargePrePayReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargePrePay(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 线上预缴
func (c *Rcvr) ChargePrePayByHousehold(ctx context.Context, req *pb_v1.ChargePrePayByHouseholdRequest) (reply *pb_v1.ChargePrePayByHouseholdReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargePrePayByHousehold(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 已交账单
func (c *Rcvr) ChargePayedBillList(ctx context.Context, req *pb_v1.ChargePayedBillListRequest) (reply *pb_v1.ChargePayedBillListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargePayedBillList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 作废账单
func (c *Rcvr) ChargeDelBill(ctx context.Context, req *pb_v1.ChargeDelBillRequest) (reply *pb_v1.ChargeDelBillReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeDelBill(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 恢复账单
func (c *Rcvr) ChargeRecoverBill(ctx context.Context, req *pb_v1.ChargeRecoverBillRequest) (reply *pb_v1.ChargeRecoverBillReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeRecoverBill(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 作废账单列表
func (c *Rcvr) ChargeDelBillList(ctx context.Context, req *pb_v1.ChargeDelBillListRequest) (reply *pb_v1.ChargeDelBillListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeDelBillList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 缴费订单列表
func (c *Rcvr) ChargeOrderList(ctx context.Context, req *pb_v1.ChargeOrderListRequest) (reply *pb_v1.ChargeOrderListReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeOrderList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 缴费订单详情
func (c *Rcvr) ChargeOrderInfo(ctx context.Context, req *pb_v1.ChargeOrderInfoRequest) (reply *pb_v1.ChargeOrderInfoReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeOrderInfo(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) ChargeOrderPay(ctx context.Context, req *pb_v1.ChargeOrderPayRequest) (reply *pb_v1.ChargeOrderPayReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeOrderPay(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) ChargeOrderCancel(ctx context.Context, req *pb_v1.ChargeOrderCancelRequest) (reply *pb_v1.ChargeOrderCancelReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeOrderCancel(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}



// 添加抄表记录
func (c *Rcvr) PowerRecordAdd(ctx context.Context, req *pb_v1.PowerRecordAddRequest) (reply *pb_v1.PowerRecordAddReply, err error) {
	t1 := func() error {
		reply, err = charge_power_record.PowerRecordAdd(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 批量添加
func (c *Rcvr) PowerRecordBatchAdd(ctx context.Context, req *pb_v1.PowerRecordBatchAddRequest) (reply *pb_v1.PowerRecordBatchAddReply, err error) {
	t1 := func() error {
		reply, err = charge_power_record.PowerRecordBatchAdd(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 删除抄表记录
func (c *Rcvr) PowerRecordDel(ctx context.Context, req *pb_v1.PowerRecordDelRequest) (reply *pb_v1.PowerRecordDelReply, err error) {
	t1 := func() error {
		reply, err = charge_power_record.PowerRecordDel(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
// 抄表记录列表
func (c *Rcvr) PowerRecordList(ctx context.Context, req *pb_v1.PowerRecordListRequest) (reply *pb_v1.PowerRecordListReply, err error) {
	t1 := func() error {
		reply, err = charge_power_record.PowerRecordList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 新增物业费套餐
func (c *Rcvr) PropertyPackageAdd(ctx context.Context, req *pb_v1.PropertyPackageAddRequest) (reply *pb_v1.PropertyPackageAddReply, err error) {
	t1 := func() error {
		reply, err = property_package.PropertyPackageAdd(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 物业费套餐列表
func (c *Rcvr) PropertyPackageList(ctx context.Context, req *pb_v1.PropertyPackageListRequest) (reply *pb_v1.PropertyPackageListReply, err error) {
	t1 := func() error {
		reply, err = property_package.PropertyPackageList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 修改物业费套餐
func (c *Rcvr) PropertyPackageUpdate(ctx context.Context, req *pb_v1.PropertyPackageUpdateRequest) (reply *pb_v1.PropertyPackageUpdateReply, err error) {
	t1 := func() error {
		reply, err = property_package.PropertyPackageUpdate(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 删除物业费套餐
func (c *Rcvr) PropertyPackageDel(ctx context.Context, req *pb_v1.PropertyPackageDelRequest) (reply *pb_v1.PropertyPackageDelReply, err error) {
	t1 := func() error {
		reply, err = property_package.PropertyPackageDel(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 变更催缴设置
func (c *Rcvr) ChargeUrgeSet(ctx context.Context, req *pb_v1.ChargeUrgeSetRequest) (reply *pb_v1.ChargeUrgeSetReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeUrgeSet(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) ChargeUrgeInfo(ctx context.Context, req *pb_v1.ChargeUrgeInfoRequest) (reply *pb_v1.ChargeUrgeInfoReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeUrgeInfo(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) ChargeUrge(ctx context.Context, req *pb_v1.ChargeUrgeRequest) (reply *pb_v1.ChargeUrgeReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeUrge(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 小程序预存物业费,车位费或停车费前获取月数和赠送信息
func (c *Rcvr) ChargeMonthInfo(ctx context.Context, req *pb_v1.ChargeMonthInfoRequest) (reply *pb_v1.ChargeMonthInfoReply, err error) {
	t1 := func() error {
		reply, err = charge.ChargeMonthInfo(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}