package impl

import (
	"context"
	"git.getensh.com/common/gopkgs/tasker/rpctasker"
	"property-garden/impl/v1/house_rent"
	pb_v1 "property-garden/pb/v1"
)

//
func (c *Rcvr) GardenHouseRentSync(ctx context.Context, req *pb_v1.GardenHouseRentSyncRequest) (reply *pb_v1.GardenHouseRentSyncReply, err error) {
	t1 := func() error {
		reply, err = house_rent.GardenHouseRentSync(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) GardenHouseRentList(ctx context.Context, req *pb_v1.GardenHouseRentListRequest) (reply *pb_v1.GardenHouseRentListReply, err error) {
	t1 := func() error {
		reply, err = house_rent.GardenHouseRentList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) HouseRentAddManager(ctx context.Context, req *pb_v1.HouseRentAddManagerRequest) (reply *pb_v1.HouseRentAddManagerReply, err error) {
	t1 := func() error {
		reply, err = house_rent.HouseRentAddManager(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) HouseRentDelManager(ctx context.Context, req *pb_v1.HouseRentDelManagerRequest) (reply *pb_v1.HouseRentDelManagerReply, err error) {
	t1 := func() error {
		reply, err = house_rent.HouseRentDelManager(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) HouseRentManagerList(ctx context.Context, req *pb_v1.HouseRentManagerListRequest) (reply *pb_v1.HouseRentManagerListReply, err error) {
	t1 := func() error {
		reply, err = house_rent.HouseRentManagerList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

// 因小区变动更新租房相关信息
func (c *Rcvr) GardenHouseRentChangeField(ctx context.Context, req *pb_v1.GardenHouseRentChangeFieldRequest) (reply *pb_v1.GardenHouseRentChangeFieldReply, err error) {
	t1 := func() error {
		reply, err = house_rent.GardenHouseRentChangeField(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) GardenHouseRentInfo(ctx context.Context, req *pb_v1.GardenHouseRentInfoRequest) (reply *pb_v1.GardenHouseRentInfoReply, err error) {
	t1 := func() error {
		reply, err = house_rent.GardenHouseRentInfo(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
