package impl


import (
	"context"
	"git.getensh.com/common/gopkgs/tasker/rpctasker"
	"property-garden/impl/v1/park"
	"property-garden/impl/v1/park_space"
	"property-garden/impl/v1/vehicle"
	pb_v1 "property-garden/pb/v1"
)

// 停车场
func (c *Rcvr) ParkList(ctx context.Context, req *pb_v1.ParkListRequest) (reply *pb_v1.ParkListReply, err error) {
	t1 := func() error {
		reply, err = park.ParkList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}


func (c *Rcvr) ParkAdd(ctx context.Context, req *pb_v1.ParkAddRequest) (reply *pb_v1.ParkAddReply, err error) {
	t1 := func() error {
		reply, err = park.ParkAdd(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}


func (c *Rcvr) ParkDel(ctx context.Context, req *pb_v1.ParkDelRequest) (reply *pb_v1.ParkDelReply, err error) {
	t1 := func() error {
		reply, err = park.ParkDel(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) ParkUpdate(ctx context.Context, req *pb_v1.ParkUpdateRequest) (reply *pb_v1.ParkUpdateReply, err error) {
	t1 := func() error {
		reply, err = park.ParkUpdate(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}


//
func (c *Rcvr) ParkSpaceList(ctx context.Context, req *pb_v1.ParkSpaceListRequest) (reply *pb_v1.ParkSpaceListReply, err error) {
	t1 := func() error {
		reply, err = park_space.ParkSpaceList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}


func (c *Rcvr) ParkSpaceAdd(ctx context.Context, req *pb_v1.ParkSpaceAddRequest) (reply *pb_v1.ParkSpaceAddReply, err error) {
	t1 := func() error {
		reply, err = park_space.ParkSpaceAdd(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}


func (c *Rcvr) ParkSpaceDel(ctx context.Context, req *pb_v1.ParkSpaceDelRequest) (reply *pb_v1.ParkSpaceDelReply, err error) {
	t1 := func() error {
		reply, err = park_space.ParkSpaceDel(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) ParkSpaceUpdate(ctx context.Context, req *pb_v1.ParkSpaceUpdateRequest) (reply *pb_v1.ParkSpaceUpdateReply, err error) {
	t1 := func() error {
		reply, err = park_space.ParkSpaceUpdate(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}



func (c *Rcvr) VehicleList(ctx context.Context, req *pb_v1.VehicleListRequest) (reply *pb_v1.VehicleListReply, err error) {
	t1 := func() error {
		reply, err = vehicle.VehicleList(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}


func (c *Rcvr) VehicleAdd(ctx context.Context, req *pb_v1.VehicleAddRequest) (reply *pb_v1.VehicleAddReply, err error) {
	t1 := func() error {
		reply, err = vehicle.VehicleAdd(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}


func (c *Rcvr) VehicleDel(ctx context.Context, req *pb_v1.VehicleDelRequest) (reply *pb_v1.VehicleDelReply, err error) {
	t1 := func() error {
		reply, err = vehicle.VehicleDel(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}

func (c *Rcvr) VehicleUpdate(ctx context.Context, req *pb_v1.VehicleUpdateRequest) (reply *pb_v1.VehicleUpdateReply, err error) {
	t1 := func() error {
		reply, err = vehicle.VehicleUpdate(ctx, req)
		return err
	}

	return reply, rpctasker.Exec(ctx, t1)
}
